Start
Guides
Concepts
API endpoints
POST
Create domain
https://linkshift.app/api/v1/domainsCreates a new domain in a target domain group after uniqueness and ownership checks.
Operation ID:
createDomainTags: DomainsSecurity
- ApiKeyAuth: apiKey | header:X-API-Key | API key generated in LinkShift dashboard (`Organization -> Manage API keys`).
Parameters
This endpoint has no parameters.
Request body schema
requestBodyobjectrequired
Payload for creating a domain.
domainGroupIdstringrequired
Target domain-group ID.
namestringrequired
Fully qualified domain name.
Response schema
Created domain
Content type:
application/jsonresponse 200objectrequired
Domain entity assigned to a domain group.
createdAtstringrequired
Creation timestamp (UTC).
deletedAtstring | nullnullable
Soft-delete timestamp in UTC when deleted.
domainGroupIdstringrequired
Parent domain-group ID.
idstringrequired
Domain ID.
namestringrequired
Fully qualified domain name.
updatedAtstringrequired
Last update timestamp (UTC).
